Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_SHMIOP_Acceptor Class Reference

`#include <SHMIOP_Acceptor.h>`

Inheritance diagram for TAO_SHMIOP_Acceptor

[legend]
Collaboration diagram for TAO_SHMIOP_Acceptor:

[legend]
List of all members.

## Public Types
typedef ACE_Strategy_Acceptor< TAO_SHMIOP_Connection_Handler, ACE_MEM_ACCEPTOR> | TAO_SHMIOP_BASE_ACCEPTOR
typedef TAO_Creation_Strategy< TAO_SHMIOP_Connection_Handler> | TAO_SHMIOP_CREATION_STRATEGY
typedef TAO_Concurrency_Strategy< TAO_SHMIOP_Connection_Handler> | TAO_SHMIOP_CONCURRENCY_STRATEGY
typedef TAO_Accept_Strategy< TAO_SHMIOP_Connection_Handler, ACE_MEM_ACCEPTOR> | TAO_SHMIOP_ACCEPT_STRATEGY
## Public Methods
| TAO_SHMIOP_Acceptor (CORBA::Boolean flag = 0)
| ~TAO_SHMIOP_Acceptor (void)
virtual int | open (TAO_ORB_Core *orb_core, ACE_Reactor *reactor, int version_major, int version_minor, const char *port, const char *options = 0)
virtual int | open_default (TAO_ORB_Core *orb_core, ACE_Reactor *reactor, int version_major, int version_minor, const char *options = 0)
virtual int | close (void)
virtual int | create_profile (const TAO_ObjectKey &object_key, TAO_MProfile &mprofile, CORBA::Short priority)
virtual int | is_collocated (const TAO_Endpoint* endpoint)
virtual CORBA::ULong | endpoint_count (void)
virtual int | object_key (IOP::TaggedProfile &profile, TAO_ObjectKey &key)
int | set_mmap_options (const char *prefix, off_t size)
## Protected Attributes
ACE_CString | host_
ACE_MEM_Addr | address_
TAO_GIOP_Message_Version | version_
TAO_ORB_Core* | orb_core_
## Private Methods
int | open_i (TAO_ORB_Core* orb_core, ACE_Reactor *reactor)
virtual int | parse_options (const char *options)
int | create_new_profile (const TAO_ObjectKey &object_key, TAO_MProfile &mprofile, CORBA::Short priority)
int | create_shared_profile (const TAO_ObjectKey &object_key, TAO_MProfile &mprofile, CORBA::Short priority)
## Private Attributes
TAO_SHMIOP_BASE_ACCEPTOR | base_acceptor_
TAO_SHMIOP_CREATION_STRATEGY* | creation_strategy_
TAO_SHMIOP_CONCURRENCY_STRATEGY* | concurrency_strategy_
TAO_SHMIOP_ACCEPT_STRATEGY* | accept_strategy_
const ACE_TCHAR* | mmap_file_prefix_
off_t | mmap_size_
CORBA::Boolean | lite_flag_

## Member Typedef Documentation

typedef TAO_Accept_Strategy<TAO_SHMIOP_Connection_Handler, ACE_MEM_ACCEPTOR> TAO_SHMIOP_Acceptor::TAO_SHMIOP_ACCEPT_STRATEGY

typedef ACE_Strategy_Acceptor<TAO_SHMIOP_Connection_Handler, ACE_MEM_ACCEPTOR> TAO_SHMIOP_Acceptor::TAO_SHMIOP_BASE_ACCEPTOR

typedef TAO_Concurrency_Strategy<TAO_SHMIOP_Connection_Handler> TAO_SHMIOP_Acceptor::TAO_SHMIOP_CONCURRENCY_STRATEGY

typedef TAO_Creation_Strategy<TAO_SHMIOP_Connection_Handler> TAO_SHMIOP_Acceptor::TAO_SHMIOP_CREATION_STRATEGY

## Constructor & Destructor Documentation

TAO_SHMIOP_Acceptor::TAO_SHMIOP_Acceptor ( | CORBA::Boolean flag = 0 )

TAO_SHMIOP_Acceptor::~TAO_SHMIOP_Acceptor ( | void )

## Member Function Documentation

virtual int TAO_SHMIOP_Acceptor::close ( | void )`[virtual]`

| Reimplemented from TAO_Acceptor.

int TAO_SHMIOP_Acceptor::create_new_profile ( | const TAO_ObjectKey & object_key,
| TAO_MProfile & mprofile,
| CORBA::Short priority )`[private]`

virtual int TAO_SHMIOP_Acceptor::create_profile ( | const TAO_ObjectKey & object_key,
| TAO_MProfile & mprofile,
| CORBA::Short priority )`[virtual]`

| Reimplemented from TAO_Acceptor.

int TAO_SHMIOP_Acceptor::create_shared_profile ( | const TAO_ObjectKey & object_key,
| TAO_MProfile & mprofile,
| CORBA::Short priority )`[private]`

virtual CORBA::ULong TAO_SHMIOP_Acceptor::endpoint_count ( | void )`[virtual]`

| Reimplemented from TAO_Acceptor.

virtual int TAO_SHMIOP_Acceptor::is_collocated ( | const TAO_Endpoint * endpoint )`[virtual]`

| Reimplemented from TAO_Acceptor.

virtual int TAO_SHMIOP_Acceptor::object_key ( | IOP::TaggedProfile & profile,
| TAO_ObjectKey & key )`[virtual]`

| Reimplemented from TAO_Acceptor.

virtual int TAO_SHMIOP_Acceptor::open ( | TAO_ORB_Core * orb_core,
| ACE_Reactor * reactor,
| int version_major,
| int version_minor,
| const char * port,
| const char * options = 0 )`[virtual]`

| Reimplemented from TAO_Acceptor.

virtual int TAO_SHMIOP_Acceptor::open_default ( | TAO_ORB_Core * orb_core,
| ACE_Reactor * reactor,
| int version_major,
| int version_minor,
| const char * options = 0 )`[virtual]`

| Reimplemented from TAO_Acceptor.

int TAO_SHMIOP_Acceptor::open_i ( | TAO_ORB_Core * orb_core,
| ACE_Reactor * reactor )`[private]`

virtual int TAO_SHMIOP_Acceptor::parse_options ( | const char * options )`[private, virtual]`

int TAO_SHMIOP_Acceptor::set_mmap_options ( | const char * prefix,
| off_t size )

## Member Data Documentation

TAO_SHMIOP_ACCEPT_STRATEGY * TAO_SHMIOP_Acceptor::accept_strategy_`[private]`

ACE_MEM_Addr TAO_SHMIOP_Acceptor::address_`[protected]`

TAO_SHMIOP_BASE_ACCEPTOR TAO_SHMIOP_Acceptor::base_acceptor_`[private]`

TAO_SHMIOP_CONCURRENCY_STRATEGY * TAO_SHMIOP_Acceptor::concurrency_strategy_`[private]`

TAO_SHMIOP_CREATION_STRATEGY * TAO_SHMIOP_Acceptor::creation_strategy_`[private]`

ACE_CString TAO_SHMIOP_Acceptor::host_`[protected]`

CORBA::Boolean TAO_SHMIOP_Acceptor::lite_flag_`[private]`

const ACE_TCHAR * TAO_SHMIOP_Acceptor::mmap_file_prefix_`[private]`

off_t TAO_SHMIOP_Acceptor::mmap_size_`[private]`

TAO_ORB_Core * TAO_SHMIOP_Acceptor::orb_core_`[protected]`

TAO_GIOP_Message_Version TAO_SHMIOP_Acceptor::version_`[protected]`

The documentation for this class was generated from the following file:

- SHMIOP_Acceptor.h